summaryrefslogtreecommitdiff
path: root/dev-cpp/cpp-httplib/cpp-httplib-0.31.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-10 22:39:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-02-10 22:39:03 +0000
commitfc0f4949b6bca13ea588d2ea9bca91be58fc9ad8 (patch)
tree3ea5d25bc54a059e82fa24ebe951cc94596aeda2 /dev-cpp/cpp-httplib/cpp-httplib-0.31.0.ebuild
parentac2ece26e61f211aa4fa7cfcd836db96e72d49c6 (diff)
downloadbaldeagleos-repo-fc0f4949b6bca13ea588d2ea9bca91be58fc9ad8.tar.gz
baldeagleos-repo-fc0f4949b6bca13ea588d2ea9bca91be58fc9ad8.tar.xz
baldeagleos-repo-fc0f4949b6bca13ea588d2ea9bca91be58fc9ad8.zip
Adding metadata
Diffstat (limited to 'dev-cpp/cpp-httplib/cpp-httplib-0.31.0.ebuild')
-rw-r--r--dev-cpp/cpp-httplib/cpp-httplib-0.31.0.ebuild90
1 files changed, 90 insertions, 0 deletions
diff --git a/dev-cpp/cpp-httplib/cpp-httplib-0.31.0.ebuild b/dev-cpp/cpp-httplib/cpp-httplib-0.31.0.ebuild
new file mode 100644
index 000000000000..d6714d0db42f
--- /dev/null
+++ b/dev-cpp/cpp-httplib/cpp-httplib-0.31.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 2024-2026 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit cmake-multilib python-any-r1 toolchain-funcs
+
+DESCRIPTION="C++ HTTP/HTTPS server and client library"
+HOMEPAGE="https://github.com/yhirose/cpp-httplib/"
+
+SRC_URI="https://github.com/yhirose/cpp-httplib/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="MIT"
+SLOT="0/$(ver_cut 1-2)" # soversion
+
+IUSE="brotli libressl ssl test zlib"
+REQUIRED_USE="test? ( brotli ssl zlib )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ brotli? (
+ app-arch/brotli:=[${MULTILIB_USEDEP}]
+ )
+ ssl? (
+ !libressl? ( >=dev-libs/openssl-3.0.13:=[${MULTILIB_USEDEP}] )
+ libressl? ( dev-libs/libressl:=[${MULTILIB_USEDEP}] )
+ )
+ zlib? (
+ sys-libs/zlib[${MULTILIB_USEDEP}]
+ )
+"
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ ${PYTHON_DEPS}
+"
+
+src_prepare() {
+ if use libressl; then
+ eapply -p1 $FILESDIR/cmakelists.patch
+ fi
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local -a mycmakeargs=(
+ -DHTTPLIB_COMPILE=yes
+ -DBUILD_SHARED_LIBS=yes
+ -DHTTPLIB_USE_BROTLI_IF_AVAILABLE=no
+ -DHTTPLIB_USE_OPENSSL_IF_AVAILABLE=no
+ -DHTTPLIB_USE_ZLIB_IF_AVAILABLE=no
+ -DHTTPLIB_REQUIRE_BROTLI=$(usex brotli)
+ -DHTTPLIB_REQUIRE_OPENSSL=$(usex ssl)
+ -DHTTPLIB_REQUIRE_ZLIB=$(usex zlib)
+ -DPython3_EXECUTABLE="${PYTHON}"
+ )
+ cmake-multilib_src_configure
+}
+
+multilib_src_test() {
+ cp -p -R --reflink=auto "${S}/test" ./test || die
+
+ local -a failing_tests=(
+ # Disable all online tests.
+ "*.*_Online"
+
+ # Fails on musl x86:
+ ServerTest.GetRangeWithMaxLongLength
+ ServerTest.GetStreamedWithTooManyRanges
+
+ # https://github.com/yhirose/cpp-httplib/issues/1798
+ # Filed by mgorny's testing, fails on openssl >=3.2:
+ SSLClientServerTest.ClientCertPresent
+ SSLClientServerTest.ClientEncryptedCertPresent
+ SSLClientServerTest.CustomizeServerSSLCtx
+ SSLClientServerTest.MemoryClientCertPresent
+ SSLClientServerTest.MemoryClientEncryptedCertPresent
+ SSLClientServerTest.TrustDirOptional
+ )
+
+ # Little dance to please the GTEST filter (join array using ":").
+ failing_tests_str="${failing_tests[@]}"
+ failing_tests_filter="${failing_tests_str// /:}"
+
+ GTEST_FILTER="-${failing_tests_filter}" emake -C test \
+ CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS} -I."
+}